#property indicator_separate_window
#property indicator_minimum 0.0
#property indicator_maximum 7.0
#property indicator_buffers 3
#property indicator_color1 DeepSkyBlue
#property indicator_width1 1
#property indicator_color2 Red
#property indicator_width2 1
#property indicator_color3 DimGray
#property indicator_width3 1
extern int TimeFrame = 0;
extern int Period_MA = 4;
extern int Value = 5;
double Bullish[], Bearish[], Neutral[];
//+------------------------------------------------------------------+
int init() {
   IndicatorShortName(" MTF_$hah ( " + TimeFrame + " ) ");
   SetIndexBuffer(0, Bullish);   SetIndexStyle(0, DRAW_ARROW);   SetIndexArrow(0, 119);   SetIndexLabel(0, "Bullish  [" + TimeFrame + "]");
   SetIndexBuffer(1, Bearish);   SetIndexStyle(1, DRAW_ARROW);   SetIndexArrow(1, 119);   SetIndexLabel(1, "Bearish  [" + TimeFrame + "]");
   SetIndexBuffer(2, Neutral);   SetIndexStyle(2, DRAW_ARROW);   SetIndexArrow(2, 119);   SetIndexLabel(2, "Neutral  [" + TimeFrame + "]");
   return (0);
}
//+------------------------------------------------------------------+
int start() {
   int TimeArray[], y=0;
   ArrayCopySeries(TimeArray, 5, Symbol(), TimeFrame);
   int limit = Bars - IndicatorCounted();
   for(int i = 0; i < limit; i++) {
     if(Time[i] < TimeArray[y]) y++;
     if(Close[i] > iMA(Symbol(), TimeFrame, Period_MA, 0, MODE_SMA, PRICE_HIGH, y+1))        Bullish[i] = Value;
     else {
       if (Close[i] < iMA(Symbol(), TimeFrame, Period_MA, 0, MODE_SMA, PRICE_LOW, y+1))      Bearish[i] = Value;
       else   Neutral[i] = Value;
   } }
   return (0);
}